unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, WebCopy;

type
  TForm1 = class(TForm)
    EditURL: TEdit;
    EditDownloadTarget: TEdit;
    Download: TButton;
    WebCopy1: TWebCopy;
    procedure DownloadClick(Sender: TObject);
    procedure WebCopy1ConnectError(Sender: TObject);
    procedure WebCopy1CopyCancel(Sender: TObject);
    procedure WebCopy1CopyDone(Sender: TObject);
    procedure WebCopy1CopyProgress(Sender: TObject; fileidx: Integer; size,
        totsize: DWORD);
    procedure WebCopy1Error(Sender: TObject; ErrorCode: LongInt);
    procedure WebCopy1ErrorInfo(Sender: TObject; ErrorCode: LongInt; ErrorInfo:
        string);
    procedure WebCopy1FileDone(Sender: TObject; idx: Integer);
    procedure WebCopy1FileStart(Sender: TObject; idx: Integer);
    procedure WebCopy1URLNotFound(Sender: TObject; url: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  CodeSiteLogging;

procedure TForm1.DownloadClick(Sender: TObject);
begin
  WebCopy1.Items.Clear;

  with WebCopy1.Items.Add do
  begin
    URL := Trim(EditURL.Text);
    TargetDir := Trim(EditDownloadTarget.Text);
  end;

  WebCopy1.ThreadExecute;
  //WebCopy1.DoCopy;
  //WebCopy1.Execute;
end;

procedure TForm1.WebCopy1ConnectError(Sender: TObject);
begin
  CodeSite.Send('TForm1.WebCopy1ConnectError: ');
end;

procedure TForm1.WebCopy1CopyCancel(Sender: TObject);
begin
  CodeSite.Send('TForm1.WebCopy1CopyCancel: ');
end;

procedure TForm1.WebCopy1CopyDone(Sender: TObject);
begin
  CodeSite.Send('TForm1.WebCopy1CopyDone: ');
end;

procedure TForm1.WebCopy1CopyProgress(Sender: TObject; fileidx: Integer; size, totsize: DWORD);
begin
  CodeSite.Send('TForm1.WebCopy1CopyProgress: ', size);
  CodeSite.Send('TForm1.WebCopy1CopyProgress: ', totsize);
end;

procedure TForm1.WebCopy1Error(Sender: TObject; ErrorCode: LongInt);
begin
  CodeSite.Send('TForm1.WebCopy1Error: ErrorCode', ErrorCode);
end;

procedure TForm1.WebCopy1ErrorInfo(Sender: TObject; ErrorCode: LongInt; ErrorInfo: string);
begin
  CodeSite.Send('TForm1.WebCopy1ErrorInfo: ErrorInfo', ErrorInfo);
end;

procedure TForm1.WebCopy1FileDone(Sender: TObject; idx: Integer);
begin
  CodeSite.Send('TForm1.WebCopy1FileDone: idx', idx);
end;

procedure TForm1.WebCopy1FileStart(Sender: TObject; idx: Integer);
begin
  CodeSite.Send('TForm1.WebCopy1FileStart: idx', idx);
end;

procedure TForm1.WebCopy1URLNotFound(Sender: TObject; url: string);
begin
  CodeSite.Send('TForm1.WebCopy1URLNotFound: url', url);
end;

end.
